curl --request GET \
--url https://perps-api.vooi.io/exchange/broker/approved \
--header 'Authorization: Bearer <token>'import requests
url = "https://perps-api.vooi.io/exchange/broker/approved"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perps-api.vooi.io/exchange/broker/approved', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"approvedMaxFees": "<string>",
"brokerMaxFees": "<string>"
}{
"message": "Invalid order id: 123",
"statusCode": 503
}Get the configured and on-chain approved builder fees for the user's broker
Returns brokerMaxFees — the builder fee (bps) configured for this user in the brokerExchange table — and approvedMaxFees — the builder fee (bps) currently approved on the exchange for that broker. Both are null when no broker is configured for the user; approvedMaxFees is also null when nothing is approved for the configured broker.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Target exchange whose configured broker approval status is checked.
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Response
Builder fee (in basis points) currently approved on the exchange for the configured broker, or null when no broker is configured or nothing is approved.
Builder fee (in basis points) configured for this user in the brokerExchange table, or null when no broker is configured.